import request from '@/utils/request'

/**
 * 采集实体 API
 */

const CollectEntityApi = {
  current: '/collect-entity/current',
  findByAcquisitionStationId: '/collect-entity/findByAcquisitionStationId',
  findById: '/collect-entity/findById',
}

export function currentCollectEntity() {
  return request({
    url: CollectEntityApi.current,
    method: 'get',
  })
}

export function findEntityByAcqId(parameter) {
  return request({
    url: CollectEntityApi.findByAcquisitionStationId,
    method: 'get',
    params: parameter
  })
}
